Maintenance Messages
Retrieve a maintenance message
GET
/
v1
/
maintenance
/
messages
/
{id}
Retrieve a maintenance message
curl --request GET \
--url https://api.yorlet.com/v1/maintenance/messages/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/maintenance/messages/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/maintenance/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "maintenance.message",
"created_by": {
"id": "<string>",
"created": 123,
"object": "user",
"email": "<string>",
"name": "<string>",
"account": "<string>",
"deleted": false
},
"customer": "<string>",
"issue": "<string>",
"sender": "team",
"text": "<string>",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
200 - application/json
Returns a maintenance message object if a valid identifier was provided.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
Available options:
maintenance.message The member of the team who sent the message. null on a message from the tenant.
Show child attributes
Show child attributes
The tenant who sent the message. null on a message from the team.
The maintenance issue the message belongs to.
Which side of the conversation the message came from.
Available options:
team, tenant The text content of the message.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
Retrieve a maintenance message
